#!/sbin/sh
###Resize variable check###
parted -s /dev/block/mmcblk0 "unit s" "print" > /tmp/gpt.txt
cat ${0}.sh > /tmp/${0}.sh
cp /tmp/aroma/parted /sbin/parted
chmod 777 /sbin/parted
#cp /tmp/aroma/resize2fs /sbin/resize2fs
#chmod 777 /sbin/resize2fs
usrdatano=`cat /tmp/gpt.txt | grep userdata | awk '{print $1}'`
intsdno=`cat /tmp/gpt.txt | grep intsd | awk '{print $1}'`
usrdatasec=`cat /tmp/gpt.txt | grep userdata | awk '{print $2}' | cut -d "s" -f "1"`
secsz=`cat /tmp/gpt.txt | grep "logical/physical" | cut -d "/" -f 3 | cut -d "B" -f "1"`
rszprpno=`cat /tmp/resize.prop | cut -d "=" -f "2"`
nwusrsize=`expr ${rszprpno} + 2`
usrsecsz=`expr ${nwusrsize} \* 1024 \* 1024 \* 1024 / ${secsz}`
usrdtndssec=`expr ${usrdatasec} + ${usrsecsz}`
intsdstrtsec=`expr ${usrdtndssec} + 1`
usrdtldndsec=`cat /tmp/gpt.txt | grep userdata | awk '{print $3}' | cut -d "s" -f "1"`
intsdndsec=`cat /tmp/gpt.txt | grep intsd | awk '{print $3}' | cut -d "s" -f "1"`
#printf "USRDATANO=${usrdatano}\nINTSDNO$={intsdno}\nUSERDATASEC=${usrdatasec}\nSECSZ=${secsz}\nRSZPRPNO=${rszprpno}\nNWUSRSIZE=${nwusrsize}\nUSRSECSZ=${usrsecsz}\nUSRDTNDSSEC=${usrdtndssec}\nINTSDSTRTSEC=${intsdstrtsec}\nUSRDTLDNDSEC=${usrdtldndsec}\nINTSDNDSEC=${intsdndsec}\n" > /tmp/resize.txt
if [ -n ${usrdatano} ]; then
	locat=/dev/block/mmcblk0p
fi
printf "Userdata partition is ${locat}${usrdatano:-ABORT}\n" > /tmp/resize.txt
if [ -z ${intsdno} ]; then
	locat=""
fi
printf "Internal sdcard partition is  ${locat}${intsdno:-ABORT}\nUserdata section start sector is  ${usrdatasec:-ABORT}\nNew Userdata size is ${nwusrsize:-ABORT}GB\nOld Userdata is ${usrdtldndsec:-ABORT} sectors (sector size: ${secsz:-ABORT}B)\nNew Userdata size is ${usrsecsz:-ABORT} sectors (sector size: ${secsz:-ABORT}B)\nUserdata end sector is ${usrdtndssec:-ABORT}\nInternal sdcard start sector is ${intsdstrtsec:-ABORT}\nInternal sdcard end sector is ${intsdndsec:-ABORT}\n" >> /tmp/resize.txt
